Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.verifier.event
Class VerificationEvent

    java.lang.Object
      java.util.EventObject
          org.jboss.verifier.event.VerificationEvent

All Implemented Interfaces:
  Serializable

public class VerificationEvent
extends EventObject

Since:
  JDK 1.3
Version:
  $Revision: 1.12 $
Author:
  Juha Lindfors (jplindfo@helsinki.fi)
See Also:
  Serialized Form

Field Summary
`static String` | `OK`
`static String` | `WARNING`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`VerificationEvent(VerificationEventGenerator source)`
`VerificationEvent(VerificationEventGenerator source, String message)`

Method Summary
`String` | `getMessage()`
`String` | `getName()`
`String` | `getVerbose()`
`boolean` | `isOk()`
`boolean` | `isWarning()`
`void` | `setMessage(String msg)`
`void` | `setMethod(Method method)`
`void` | `setName(String name)`
`void` | `setSection(Section section)`
`void` | `setState(String state)`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WARNING

    public static final String WARNING

See Also:
  Constant Field Values

### OK

    public static final String OK

See Also:
  Constant Field Values

Constructor Detail

### VerificationEvent

    public VerificationEvent(VerificationEventGenerator source)

### VerificationEvent

    public VerificationEvent(VerificationEventGenerator source,
                             String message)

Method Detail

### setState

    public void setState(String state)

### isOk

    public boolean isOk()

### isWarning

    public boolean isWarning()

### setMessage

    public void setMessage(String msg)

### setName

    public void setName(String name)

### setSection

    public void setSection(Section section)

### setMethod

    public void setMethod(Method method)

### getMessage

    public String getMessage()

### getVerbose

    public String getVerbose()

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.